﻿using System;
using System.Collections.Generic;
using System.Text;

namespace DBScript
{
    /// <summary>
    /// 数据库节点配置
    /// </summary>
    public class DBConfigNode
    {
        private string _name;
        private string _connectionString;
        private DataBaseType _dbType;

        public DBConfigNode()
        {
        }
        /// <summary>
        /// 节点名
        /// </summary>
        public string Name
        {
            get
            {
                return _name;
            }
            set
            {
                _name = value;
            }
        }
        /// <summary>
        /// 数据库连接字符串
        /// </summary>
        public string ConnectionString
        {
            get
            {
                return _connectionString;
            }
            set
            {
                _connectionString = value;
            }
        }
        /// <summary>
        /// 数据库类型
        /// </summary>
        public DataBaseType DbType
        {
            get
            {
                return _dbType;
            }
            set
            {
                _dbType = value;
            }
        }

    }
}
