using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.Common;

namespace DBScript
{
    /// <summary>
    /// ݲʵ
    /// </summary>
    public class DBParam : DbParameter
    {
        private DbType _DbType = DbType.String;
        private ParameterDirection _Direction = ParameterDirection.Input;
        private bool _IsNullable = false;
        private string _ParameterName = "";
        private int _Size = 0;
        private string _SourceColumn = "";
        private bool _SourceColumnNullMapping = false;
        private DataRowVersion _SourceVersion = DataRowVersion.Current;
        private object _Value = null;

        // ժҪ:
        //     ȡò System.Data.DbType
        //
        // ؽ:
        //     System.Data.DbType ֵ֮һĬΪ System.Data.DbType.String
        //
        // 쳣:
        //   System.ArgumentException:
        //     δΪЧ System.Data.DbType
        public override DbType DbType 
        {
            get{ return _DbType; }
            set{ _DbType=value; } 
        }
        //
        // ժҪ:
        //     ȡһֵֵָʾֻ롢ֻ˫Ǵ洢̷ֵ
        //
        // ؽ:
        //     System.Data.ParameterDirection ֵ֮һĬΪ Input
        //
        // 쳣:
        //   System.ArgumentException:
        //     δΪЧ System.Data.ParameterDirection ֵ֮һ
        public override ParameterDirection Direction
        {
            get { return _Direction; }
            set { _Direction = value; }
        }
        //
        // ժҪ:
        //     ȡһֵֵָʾǷֵܿ
        //
        // ؽ:
        //     ֵܿΪ trueΪ falseĬΪ false
        public override bool IsNullable 
        {
            get { return _IsNullable; }
            set { _IsNullable = value; } 
        }
        //
        // ժҪ:
        //     ȡ System.Data.Common.DbParameter ơ
        //
        // ؽ:
        //     System.Data.Common.DbParameter ơĬֵΪַ ("")
        public override string ParameterName 
        {
            get { return _ParameterName; }
            set { _ParameterName = value; } 
        }
        //
        // ժҪ:
        //     ȡݵСֽΪλ
        //
        // ؽ:
        //     ݵСֽΪλĬֵǴӲֵƵġ
        public override int Size
        {
            get { return _Size; }
            set { _Size = value; }
        }
        //
        // ժҪ:
        //     ȡԴеƣԴӳ䵽 System.Data.DataSet ڼػ򷵻 System.Data.Common.DbParameter.Value
        //
        // ؽ:
        //     ӳ䵽 System.Data.DataSet ԴеơĬΪַ
        public override string SourceColumn
        {
            get { return _SourceColumn; }
            set { _SourceColumn = value; }
        }
        //
        // ժҪ:
        //     ûȡһֵֵָʾԴǷΪաʹ System.Data.Common.DbCommandBuilder ܹȷΪɿյ
        //     Update 䡣
        //
        // ؽ:
        //     ԴпΪգΪ trueΪգΪ false
        public override bool SourceColumnNullMapping
        {
            get { return _SourceColumnNullMapping; }
            set { _SourceColumnNullMapping = value; }
        }
        //
        // ժҪ:
        //     ȡڼ System.Data.Common.DbParameter.Value ʱʹõ System.Data.DataRowVersion
        //
        // ؽ:
        //     System.Data.DataRowVersion ֵ֮һĬΪ Current
        //
        // 쳣:
        //   System.ArgumentException:
        //     δΪ System.Data.DataRowVersion ֵ֮һ
        public override DataRowVersion SourceVersion
        {
            get { return _SourceVersion; }
            set { _SourceVersion = value; }
        }
        //
        // ժҪ:
        //     ȡøòֵ
        //
        // ؽ:
        //     һ System.ObjectǸòֵĬֵΪ null
        public override object Value
        {
            get { return _Value; }
            set { _Value = value; }
        }

        // ժҪ:
        //      DbType Ϊԭʼá
        public override void ResetDbType()
        {
        }
    }
}
