﻿using System;
using System.Collections.Generic;
using System.Text;

namespace DBScript
{
    /// <summary>
    /// SQL Server2000
    /// </summary>
    public class MsSQL2kProvider:MsSQLProvider
    {
        #region 构造函数
        public MsSQL2kProvider(DBScriptConfig dsConfig, bool distributed, bool rw_separate)
            :base(dsConfig, distributed, rw_separate)
        {
            QueryBuilder = new MsSQL2kQuery();
        }
        #endregion

        #region 辅助函数
        protected override void ReSet()
        {
            QueryBuilder = new MsSQL2kQuery();
            Params = new List<DBParam>();
            QueryStr = "";
        }
        #endregion 辅助函数
    }
}
