using System;
using System.Collections.Generic;
using System.Text;

namespace DBScript.Utils
{
    public static class TypeConvert
    {

        /// <summary>
        /// ͵ݿֵֶתΪSystem.Int32ֵΪDBNull.Value,תΪ -1
        /// </summary>
        /// <param name="dbValue">͵ݿֵ</param>
        /// <returns></returns>
        public static int ToInt32(object dbValue)
        {
            if (dbValue == null || dbValue == DBNull.Value)
            {
                return int.MinValue;
            }
            return Convert.ToInt32(dbValue);
        }

        #region TypeתΪDbType
        public static System.Data.DbType GetDbType(System.Type sysType)
        {
            System.Data.DbType dbType = System.Data.DbType.String;
           
            switch (sysType.Name)
            {
                case "String":
                    dbType = System.Data.DbType.String;
                    break;
                case "Int32": 
                    dbType = System.Data.DbType.Int32;
                    break;
                case "DateTime":
                    dbType = System.Data.DbType.DateTime;
                    break;
                case "Double":
                    dbType = System.Data.DbType.Double;
                    break;
                case  "Boolean":
                    dbType = System.Data.DbType.Boolean;
                    break;
                case "Guid":
                    dbType = System.Data.DbType.Guid;
                    break;
                default:
                    break;
            }
            return dbType;
        }
        #endregion TypeתΪDbType
    }
}
