﻿using System;
using DBScript;
namespace eBlog.Entity
{
	/// <summary>
	/// 实体类bk_Admin 。(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public class Admin : DBModel
	{
		public Admin()
		{
			PrimaryKey = "ID"; //主键
			TableName = "Admin"; //对应的数据表
		}

		#region Model 数据库字段映射属性
		//支持子表字段的加入，但属性名称必须要以" Sub_ "开头然后是绝对的字段名

		private int _id;
		private string _loginname;
		private string _adminname;
		private string _password;
		private DateTime? _lastlogintime;
		private string _lastloginip;
		private int? _logincount;
		private int _roleid;

		public int ID
		{
			set{ _id=value;}
			get{return _id;}
		}

		public string LoginName
		{
			set{ _loginname=value;}
			get{return _loginname;}
		}

		public string AdminName
		{
			set{ _adminname=value;}
			get{return _adminname;}
		}

		public string PassWord
		{
			set{ _password=value;}
			get{return _password;}
		}

		public DateTime? LastLoginTime
		{
			set{ _lastlogintime=value;}
			get{return _lastlogintime;}
		}

		public string LastLoginIP
		{
			set{ _lastloginip=value;}
			get{return _lastloginip;}
		}

		public int? LoginCount
		{
			set{ _logincount=value;}
			get{return _logincount;}
		}

		public int RoleID
		{
			set{ _roleid=value;}
			get{return _roleid;}
		}
		#endregion Model

	}
}

