﻿using System;
using DBScript;
namespace eBlog.Entity
{
	/// <summary>
	/// 实体类bk_AdminRole 。(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public class AdminRole : DBModel
	{
		public AdminRole()
		{
			PrimaryKey = "ID"; //主键
			TableName = "AdminRole"; //对应的数据表
		}

		#region Model 数据库字段映射属性
		//支持子表字段的加入，但属性名称必须要以" Sub_ "开头然后是绝对的字段名

		private int _id;
		private string _rolename;
		private string _rightsurl;
		private string _customurl;
		private bool _issuper;

		public int ID
		{
			set{ _id=value;}
			get{return _id;}
		}

		public string RoleName
		{
			set{ _rolename=value;}
			get{return _rolename;}
		}

		public string RightsUrl
		{
			set{ _rightsurl=value;}
			get{return _rightsurl;}
		}

		public string CustomUrl
		{
			set{ _customurl=value;}
			get{return _customurl;}
		}

		public bool isSuper
		{
			set{ _issuper=value;}
			get{return _issuper;}
		}
		#endregion Model

	}
}

