﻿using System;
using DBScript;
namespace eBlog.Entity
{
	/// <summary>
	/// 实体类Comments 。(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public class Comments : DBModel
	{
		public Comments()
		{
			PrimaryKey = "ID"; //主键
			TableName = "Comments"; //对应的数据表
		}

		#region Model 数据库字段映射属性
		//支持子表字段的加入，但属性名称必须要以" Sub_ "开头然后是绝对的字段名

		private int _id;
		private int? _targetid;
		private int? _parentid;
		private int? _userid;
	    private int? _depth;
		private string _name;
		private string _email;
		private string _siteurl;
		private string _content;
		private string _ip;
		private DateTime? _createdate;
		private int? _staus;

		public int ID
		{
			set{ _id=value;}
			get{return _id;}
		}

		public int? TargetID
		{
			set{ _targetid=value;}
			get{return _targetid;}
		}

		public int? ParentID
		{
			set{ _parentid=value;}
			get{return _parentid;}
		}

		public int? UserID
		{
			set{ _userid=value;}
			get{return _userid;}
		}

	    public int? Depth
	    {
            set { _depth = value; }
            get { return _depth; }
	    }

		public string Name
		{
			set{ _name=value;}
			get{return _name;}
		}

		public string Email
		{
			set{ _email=value;}
			get{return _email;}
		}

		public string SiteUrl
		{
			set{ _siteurl=value;}
			get{return _siteurl;}
		}

		public string Content
		{
			set{ _content=value;}
			get{return _content;}
		}

		public string IP
		{
			set{ _ip=value;}
			get{return _ip;}
		}

		public DateTime? CreateDate
		{
			set{ _createdate=value;}
			get{return _createdate;}
		}

		public int? Staus
		{
			set{ _staus=value;}
			get{return _staus;}
		}
		#endregion Model

	}
}

