﻿using System;
using DBScript;
namespace eBlog.Entity
{
	/// <summary>
	/// 实体类vt_Sites 。(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public class Sites : DBModel
	{
		public Sites()
		{
			PrimaryKey = "ID"; //主键
			TableName = "Sites"; //对应的数据表
		}

		#region Model 数据库字段映射属性
		//支持子表字段的加入，但属性名称必须要以" Sub_ "开头然后是绝对的字段名

		private int _id;
		private int? _postcount;
		private int? _commentcount;
		private int? _visitcount;
		private int? _tagcount;
		private string _setting;

		public int ID
		{
			set{ _id=value;}
			get{return _id;}
		}

		public int? PostCount
		{
			set{ _postcount=value;}
			get{return _postcount;}
		}

		public int? CommentCount
		{
			set{ _commentcount=value;}
			get{return _commentcount;}
		}

		public int? VisitCount
		{
			set{ _visitcount=value;}
			get{return _visitcount;}
		}

		public int? Tagcount
		{
			set{ _tagcount=value;}
			get{return _tagcount;}
		}

		public string Setting
		{
			set{ _setting=value;}
			get{return _setting;}
		}
		#endregion Model

	}
}

