﻿using System;
using DBScript;
namespace eBlog.Entity
{
	/// <summary>
	/// 实体类vt_StopWords 。(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public class StopWords : DBModel
	{
		public StopWords()
		{
			PrimaryKey = "ID"; //主键
			TableName = "StopWords"; //对应的数据表
		}

		#region Model 数据库字段映射属性
		//支持子表字段的加入，但属性名称必须要以" Sub_ "开头然后是绝对的字段名

		private int _id;
		private string _stopword;

		public int ID
		{
			set{ _id=value;}
			get{return _id;}
		}

		public string StopWord
		{
			set{ _stopword=value;}
			get{return _stopword;}
		}
		#endregion Model

	}
}

