﻿using System;
using DBScript;
namespace eBlog.Entity
{
	/// <summary>
	/// 实体类PostType 。(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public class Terms : DBModel
	{
		public Terms()
		{
			PrimaryKey = "ID"; //主键
            TableName = "Terms"; //对应的数据表
		}

		#region Model 数据库字段映射属性
		//支持子表字段的加入，但属性名称必须要以" Sub_ "开头然后是绝对的字段名

		private int _id;
		private string _name;
		private int? _parentid;
		private string _description;
		private int? _displayorder;
		private int? _count;
		private DateTime? _createdate;
        private int _type;
        private string _slug;

		public int ID
		{
			set{ _id=value;}
			get{return _id;}
		}

		public string Name
		{
			set{ _name=value;}
			get{return _name;}
		}

		public int? ParentID
		{
			set{ _parentid=value;}
			get{return _parentid;}
		}

		public string Description
		{
			set{ _description=value;}
			get{return _description;}
		}

		public int? DisplayOrder
		{
			set{ _displayorder=value;}
			get{return _displayorder;}
		}

		public int? Count
		{
			set{ _count=value;}
			get{return _count;}
		}

		public DateTime? Createdate
		{
			set{ _createdate=value;}
			get{return _createdate;}
		}
        /// <summary>
        /// 1="分类"; 2="文章标签"
        /// </summary>
        public int Type
        {
            set { _type = value; }
            get { return _type; }
        }
        public string Slug
        {
            set { _slug = value; }
            get { return _slug; }
        }
		#endregion Model

	}
}

