﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ThemeManage.aspx.cs" Inherits="eBlog.Web.Admin.ThemeManage" %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="eBlog.Common.Files" %>
<%@ Import Namespace="eBlog.Service" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
<title>主题管理</title>
<style type="text/css">
.theme li{  float:left;  margin:15px 20px 0 0; padding:5px 8px;  border:1px solid #ccc;  }
.theme .current{   background:#f3f9f5;}
.theme p{ margin: 0; padding:2px 0; white-space:nowrap;  overflow:hidden;text-overflow:ellipsis; width:225px;}
</style>
<link href="resources/css/style.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <div>
    <h1>电脑,手机主题<span class="small gray normal">(default 为系统默认主题,禁止删除,不建议修改)</span></h1>
<ul class="theme">
<%
    DirectoryInfo dir = new DirectoryInfo(Server.MapPath("../themes/"));
 foreach (DirectoryInfo d in dir.GetDirectories())
        {
            if (d.Name == ".svn") continue;
%>
    <li <%=(SettingService.GetSetting().Theme == d.Name || SettingService.GetSetting().MobileTheme == d.Name)?" class=\"current\"":"" %>  >
        <p class="gray"><%=ConfigHelper.SitePath %>themes/<%=d.Name %>/</p>
        <p><img src="../themes/<%=d.Name %>/theme.jpg" width="200" height="150" alt=""  style="border:1px solid #ccc;" /></p>
        <h5 style="margin:5px 0 3px 0 ;"><%=ThemeService.GetTemplate(d.FullName).Name%></h5>
        <p  class="gray">作者: <a href="mailto:<%=ThemeService.GetTemplate(d.FullName).Email %>"><%=ThemeService.GetTemplate(d.FullName).Author %> </a></p>
        <p class="gray">主页: <a href="<%=ThemeService.GetTemplate(d.FullName).SiteUrl %>" target="_blank"><%=ThemeService.GetTemplate(d.FullName).SiteUrl %></a></p>
        <p class="gray" style="border-bottom:1px solid #ccc; padding-bottom:5px;">发布: <%=ThemeService.GetTemplate(d.FullName).PubDate %></p>
       
        <p style="border-bottom:1px solid #ccc; padding:5px 0;">
        <%if (SettingService.GetSetting().Theme == d.Name)
          {%>     电脑版使用
        <%}
          else
          { %>
         <a href="ThemeManage.aspx?operate=update&type=pc&themename=<%=d.Name %>">电脑版使用</a>
           
        <%} %>
       
        <%if (SettingService.GetSetting().MobileTheme == d.Name)
          {%>     手机版使用
        <%}
          else
          { %>
            <a href="ThemeManage.aspx?operate=update&type=mobile&themename=<%=d.Name %>">手机版使用</a> 
        <%} %>
        </p>
        <p style=" padding-top:5px ;">
            <a href="../theme/<%=d.Name %>.aspx">预览</a>
            <a href="themeedit.aspx?themename=<%=d.Name%>" title="编辑模板,样式,脚本,其它文本文件">编辑</a> 
            <a href="ThemeManage.aspx?operate=insert&themename=<%=d.Name %>"  title="复制该主题">复制</a>
            <%if (d.Name != "default")
              { %>
            <a href="ThemeManage.aspx?operate=delete&themename=<%=d.Name %>" onclick=" return confirm('确定要删除吗?');" title="删除该主题">删除</a>
            <%} %>
       </p>
    </li>
    
<%} %>
</ul>
    </div>
    </form>
</body>
</html>
