﻿using System;
using DBScript;
namespace eBlog.Entity
{
	/// <summary>
	/// 实体类vt_Links 。(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public class Links : DBModel
	{
		public Links()
		{
			PrimaryKey = "ID"; //主键
			TableName = "Links"; //对应的数据表
		}

		#region Model 数据库字段映射属性
		//支持子表字段的加入，但属性名称必须要以" Sub_ "开头然后是绝对的字段名

		private int _id;
		private int? _type;
		private string _name;
		private string _href;
		private int? _position;
		private string _target;
		private string _description;
		private int? _displayorder;
		private int? _status;
		private DateTime? _createdate;
		private int? _hit;

		public int ID
		{
			set{ _id=value;}
			get{return _id;}
		}

		public int? Type
		{
			set{ _type=value;}
			get{return _type;}
		}

		public string Name
		{
			set{ _name=value;}
			get{return _name;}
		}

		public string Href
		{
			set{ _href=value;}
			get{return _href;}
		}

		public int? Position
		{
			set{ _position=value;}
			get{return _position;}
		}

		public string Target
		{
			set{ _target=value;}
			get{return _target;}
		}

		public string Description
		{
			set{ _description=value;}
			get{return _description;}
		}

		public int? Displayorder
		{
			set{ _displayorder=value;}
			get{return _displayorder;}
		}

		public int? Status
		{
			set{ _status=value;}
			get{return _status;}
		}

		public DateTime? Createdate
		{
			set{ _createdate=value;}
			get{return _createdate;}
		}

		public int? Hit
		{
			set{ _hit=value;}
			get{return _hit;}
		}
		#endregion Model

	}
}

