﻿using System;
using DBScript;
namespace eBlog.Entity
{
	/// <summary>
	/// 实体类vt_Subscribe 。(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public class Subscribe : DBModel
	{
		public Subscribe()
		{
			PrimaryKey = "ID"; //主键
			TableName = "Subscribe"; //对应的数据表
		}

		#region Model 数据库字段映射属性
		//支持子表字段的加入，但属性名称必须要以" Sub_ "开头然后是绝对的字段名

		private int _id;
		private string _email;
		private string _mobile;
		private int? _type;
		private int? _cityid;

		public int ID
		{
			set{ _id=value;}
			get{return _id;}
		}

		public string Email
		{
			set{ _email=value;}
			get{return _email;}
		}

		public string Mobile
		{
			set{ _mobile=value;}
			get{return _mobile;}
		}

		public int? Type
		{
			set{ _type=value;}
			get{return _type;}
		}

		public int? CityID
		{
			set{ _cityid=value;}
			get{return _cityid;}
		}
		#endregion Model

	}
}

