﻿using System;
using DBScript;
namespace eBlog.Entity
{
	/// <summary>
	/// 实体类vt_User 。(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public class User : DBModel
	{
		public User()
		{
			PrimaryKey = "ID"; //主键
			TableName = "User"; //对应的数据表
		}

		#region Model 数据库字段映射属性
		//支持子表字段的加入，但属性名称必须要以" Sub_ "开头然后是绝对的字段名

		private int _id;
		private string _loginname;
		private string _email;
		private int? _invite_id;
		private string _password;
		private DateTime? _createtime;
		private DateTime? _lastlogintime;
		private string _sex;
		private string _qq;
		private string _mobile;
		private decimal? _rmb;
		private string _realname;
		private string _address;
		private string _url;
		private string _summary;
		private decimal? _consumption;
		private bool _enable;
		private int? _integral;

		public int ID
		{
			set{ _id=value;}
			get{return _id;}
		}

		public string LoginName
		{
			set{ _loginname=value;}
			get{return _loginname;}
		}

		public string Email
		{
			set{ _email=value;}
			get{return _email;}
		}

		public int? Invite_ID
		{
			set{ _invite_id=value;}
			get{return _invite_id;}
		}

		public string PassWord
		{
			set{ _password=value;}
			get{return _password;}
		}

		public DateTime? CreateTime
		{
			set{ _createtime=value;}
			get{return _createtime;}
		}

		public DateTime? LastLoginTime
		{
			set{ _lastlogintime=value;}
			get{return _lastlogintime;}
		}

		public string Sex
		{
			set{ _sex=value;}
			get{return _sex;}
		}

		public string QQ
		{
			set{ _qq=value;}
			get{return _qq;}
		}

		public string Mobile
		{
			set{ _mobile=value;}
			get{return _mobile;}
		}

		public decimal? RMB
		{
			set{ _rmb=value;}
			get{return _rmb;}
		}

		public string RealName
		{
			set{ _realname=value;}
			get{return _realname;}
		}

		public string Address
		{
			set{ _address=value;}
			get{return _address;}
		}

		public string Url
		{
			set{ _url=value;}
			get{return _url;}
		}

		public string Summary
		{
			set{ _summary=value;}
			get{return _summary;}
		}

		public decimal? Consumption
		{
			set{ _consumption=value;}
			get{return _consumption;}
		}

		public bool Enable
		{
			set{ _enable=value;}
			get{return _enable;}
		}

		public int? Integral
		{
			set{ _integral=value;}
			get{return _integral;}
		}
		#endregion Model

	}
}

