﻿<%@ Page Language="C#" AutoEventWireup="True" EnableViewState="false"  CodeBehind="AdminManage.aspx.cs" Inherits="eBlog.Web.Admin.AdminManage" %>
<%@ Import Namespace="eBlog.Core" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta http-equiv="x-ua-compatible" content="ie=7" />
<link href="resources/css/style.css" rel="stylesheet" type="text/css" />
</head>

<body>
<script src="resources/scripts/common.js" type="text/javascript"></script>
<script src="resources/scripts/admincp.js" type="text/javascript"></script>
<div id="append_parent"></div>
<div class="container" id="cpcontainer">
<script type="text/JavaScript">parent.document.title = '管理中心 - 管理员管理 ';if(parent.$('admincpnav')) parent.$('admincpnav').innerHTML='全局&nbsp;&raquo;&nbsp;管理员';</script>

<!-- 这里是本页的菜单 -->
<div class="floattop">
<div class="itemtitle">
	<h3>管理员管理中心</h3>
	<ul class="tab1" id="submenu">
	<li class="current"><a href="AdminManage.aspx"><span>管理员列表</span></a></li>
	<li class="current"><a href="AdminManage.aspx?action=add"><span>新建管理员</span></a></li>
	</ul>
</div>
</div>

<div class="floattopempty"></div>

<!-- 本页内容开始 -->
<form name="cpform" id="cpform" runat="server">
<input type="hidden" name="anchor" value="" />
<input type="hidden" ID="Referrer" runat="server" />

<!-- 添加和编辑的表单 -->
<asp:Panel ID="edit" runat="server" Visible="false" EnableViewState="false">
<table class="tb tb2 nobdb" id="base">
	<tr><td colspan="2" class="td27">管理员登录名:</td></tr>
	<tr class="noborder"><td class="vtop rowform"><asp:TextBox ID="txtLoginName" runat="server" class="txt"></asp:TextBox></td>
	<td class="vtop tips2"></td>
	</tr>
	<tr><td colspan="2" class="td27">管理员姓名:</td></tr>
	<tr class="noborder"><td class="vtop rowform"><asp:TextBox ID="txtAdminName" runat="server" class="txt"></asp:TextBox></td>
	<td class="vtop tips2"></td>
	</tr>
	<tr><td colspan="2" class="td27">管理员密码:</td></tr>
	<tr class="noborder"><td class="vtop rowform"><asp:TextBox ID="txtPassWord" runat="server" class="txt" TextMode="Password"></asp:TextBox></td>
	<td class="vtop tips2">编辑的时候，不修改密码请留空！</td>
	</tr>
	<tr><td colspan="2" class="td27">权限角色组:</td></tr>
	<tr class="noborder"><td class="vtop rowform"><asp:DropDownList ID="selRole_ID" runat="server" ></asp:DropDownList>
    </td>
	<td class="vtop tips2"></td>
	</tr>
</table>
<div class="fixsel"><asp:Button ID="btnSave" runat="server" Text="保 存" class="btn" OnClick="btnSave_Click" ></asp:Button><span style="margin-left:20px"> </span><input type="button" value="返 回" id="goback" class="btn" onclick="javascript:history.go(-1)" /></div>
</asp:Panel>
<!-- 添加编辑表单结束 -->
<%--列表容器--%>

<!-- 内容列表分页内容 -->
<asp:Panel ID="list" runat="server" Visible="false" EnableViewState="false">
<table class="tb tb2 ">
<tr><th colspan="15" class="partition">共有<strong> <%=ListCount %> </strong>个管理员<a href="" class="act lightlink normal"></a></th></tr>

<tr class="header">
	<th>ID</th>
	<th>管理员登录名</th>
	<th>管理员姓名</th>
	<th>最后登录时间</th>
	<th>最后登录IP</th>
	<th>登录次数</th>
	<th>权限角色组</th>
	<th>管 理 选 项</th>
</tr>

<asp:Repeater ID="RPLIST" runat="server">
<itemtemplate>
<tr class="hover">
	<td class="td25"><input type="checkbox" name="checkAllID" value="<%#Eval("ID") %>" class="checkbox"></td>
	<td><%#Eval("LoginName") %></td>
	<td><%#Eval("AdminName") %></td>
	<td><%#Eval("LastLoginTime") %></td>
	<td><%#Eval("LastLoginIP") %></td>
	<td><%#Eval("LoginCount") %></td>
    <td><%#Eval("RoleID") %></td>

	<td><a href="?action=edit&id=<%#Eval("ID") %>" class="act">编辑</a><a href="?action=del&id=<%#Eval("ID") %>" class="act" onclick="return confirm('数据删除不可恢复,确认删除吗？');" >删除</a></td>
</tr>
</itemtemplate>
</asp:Repeater>

<tr><td colspan="15"><div class="cuspages right"><div class="pg"><asp:Literal ID="PageNav" runat="server"></asp:Literal></div></div>
<div class="fixsel"><input type="checkbox" name="chkall" onclick="checkAll('prefix', this.form, 'checkAllID')" class="checkbox">删? &nbsp;
<input type="button" class="btn" id="checkAllDel" name="checkAllDel" value="提交" onclick="return confirm('确认选择删除吗？');"/></div>
</td></tr>
</table>
</asp:Panel>
<!-- 内容列表分页结束 -->


<script src="resources/scripts/calendar.js" type="text/javascript"></script>
<input type="hidden" ID="ErrCodeStr" runat="server" />
<script type="text/javascript">formShowErr("ErrCodeStr");</script>
</form>
<%=new BaseCode().ProcessTime %>
</div>
</body>
</html>
